Bug 137652 - XDL import: missing empty combobox items
Summary: XDL import: missing empty combobox items
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Serge Krot (CIB)
URL:
Whiteboard: target:7.1.0 target:7.0.4
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-21 11:37 UTC by Serge Krot (CIB)
Modified: 2020-11-06 15:28 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
TestDialog.xdl (714 bytes, application/xml)
2020-10-21 11:37 UTC, Serge Krot (CIB)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Serge Krot (CIB) 2020-10-21 11:37:23 UTC
Created attachment 166577 [details]
TestDialog.xdl

When TestDialog.xdl is imported, there is only 2 items in the combobox. But 3 are expected.
Comment 1 Commit Notification 2020-10-22 14:31:26 UTC
Serge Krot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f4a5893eceabc1f6d541164a0e858456f0ce0905

tdf#137652 fix XDL import: no more missing empty items for combobox

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2020-10-28 09:35:04 UTC
Serge Krot committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/d0124b5178d4edbbfeae0ea5edd64873bc942666

tdf#137652 fix XDL import: no more missing empty items for combobox

It will be available in 7.0.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.